Bug 736880 - packagekitd startup fails with 'undefined symbol: g_unix_signal_add_watch_full'
packagekitd startup fails with 'undefined symbol: g_unix_signal_add_watch_full'
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: PackageKit (Show other bugs)
16
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
AcceptedBlocker
:
Depends On:
Blocks: F16Beta/F16BetaBlocker
  Show dependency treegraph
 
Reported: 2011-09-08 19:43 EDT by Adam Williamson
Modified: 2011-09-13 02:13 EDT (History)
4 users (show)

See Also:
Fixed In Version: anjuta-3.1.91-1.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-09-13 02:13:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Williamson 2011-09-08 19:43:43 EDT
dbus activation of packagekitd fails:

Sep  8 16:40:40 adam dbus[1105]: [system] Activating service name='org.freedesktop.PackageKit' (using servicehelper)
Sep  8 16:40:40 adam dbus-daemon[1105]: dbus[1105]: [system] Activating service name='org.freedesktop.PackageKit' (using servicehelper)
Sep  8 16:40:40 adam dbus-daemon[1105]: /usr/libexec/packagekitd: symbol lookup error: /usr/libexec/packagekitd: undefined symbol: g_unix_signal_add_watch_full
Sep  8 16:40:40 adam dbus[1105]: [system] Activated service 'org.freedesktop.PackageKit' failed: Launch helper exited with unknown return code 127
Sep  8 16:40:40 adam dbus-daemon[1105]: dbus[1105]: [system] Activated service 'org.freedesktop.PackageKit' failed: Launch helper exited with unknown return code 127

this happens any time anything tries to use PK's dbus interface - gnome-packagekit, yum's packagekit notifier plugin, anything like that.
Comment 1 Adam Williamson 2011-09-08 19:45:20 EDT
this prevents gpk-update-viewer from launching, hence it's a Beta blocker under Alpha criterion "The installed system must be able to download and install updates with yum and the default graphical package manager in all release-blocking desktops".
Comment 2 Richard Hughes 2011-09-09 03:56:08 EDT
You need to install https://admin.fedoraproject.org/updates/PackageKit-0.6.18-1.fc16 -- there was a GLib API change and PK had to be fixed and rebuilt.
Comment 3 Richard Hughes 2011-09-09 04:13:29 EDT
Urgh, I was looking at 0.7.0 -- give me a few minutes to fix...
Comment 4 Adam Williamson 2011-09-09 12:31:34 EDT
sorry, I really should've specified PK version :) indeed i'm on that version already.
Comment 5 Adam Williamson 2011-09-09 12:33:00 EDT
Looks like mclasen has added a fixed build to the Giganto-GNOME update https://admin.fedoraproject.org/updates/FEDORA-2011-12324 - I see http://koji.fedoraproject.org/koji/buildinfo?buildID=262722 in there. I'll test that.
Comment 6 Fedora Update System 2011-09-09 13:07:22 EDT
anjuta-3.1.91-1.fc16, at-spi2-atk-2.1.91-1.fc16, at-spi2-core-2.1.91-1.fc16, atk-2.1.91-1.fc16, caribou-0.3.91-1.fc16, cheese-3.1.91.1-1.fc16, clutter-1.7.14-2.fc16, control-center-3.1.91-1.fc16, empathy-3.1.91-2.fc16, eog-3.1.91-1.fc16, epiphany-3.1.91.1-1.fc16, evolution-3.1.91-2.fc16, file-roller-3.1.91-1.fc16, gedit-cossa-3.1.2-1.fc16, glib2-2.29.90-1.fc16, glibmm24-2.29.13-1.fc16, gnome-applets-3.1.91-1.fc16, gnome-backgrounds-3.1.91-1.fc16, gnome-documents-0.1.91-1.fc16, gnome-games-3.1.91-1.fc16, gnome-games-extra-data-3.2.0-1.fc16, gnome-keyring-3.1.91-1.fc16, gnome-screensaver-3.1.91-1.fc16, gnome-settings-daemon-3.1.91-1.fc16, gnome-shell-3.1.91-2.fc16, gnome-themes-standard-3.1.91-1.fc16, gtk3-3.1.18-1.fc16, gtkhtml3-4.1.91-1.fc16, gtkmm30-3.1.18-1.fc16, gvfs-1.9.5-1.fc16, krb5-auth-dialog-3.1.91-1.fc16, libcryptui-3.1.91-1.fc16, libxml++-2.34.2-1.fc16, mousetweaks-3.1.91-1.fc16, nautilus-sendto-3.0.0-13.fc16, notification-daemon-0.7.2-1.fc16, orca-3.1.91-1.fc16, seahorse-3.1.91-1.fc16, vala-0.13.4-1.fc16, vinagre-3.1.91-1.fc16, vino-3.1.91-1.fc16, yelp-3.1.3-1.fc16, yelp-tools-3.1.6-1.fc16, yelp-xsl-3.1.5-1.fc16, evolution-mapi-3.1.91-1.fc16, evolution-exchange-3.1.91-1.fc16, gnome-contacts-0.1.4.1-1.fc16, gsettings-desktop-schemas-3.1.91-1.fc16, PackageKit-0.6.18-2.fc16, evolution-data-server-3.1.91-2.fc16, folks-0.6.2.1-1.fc16, gnome-desktop3-3.1.91-2.fc16, gnome-panel-3.1.91-3.fc16, gnome-session-3.1.91-3.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/FEDORA-2011-12324
Comment 7 Adam Williamson 2011-09-09 14:17:53 EDT
Discussed at 2011-09-09 blocker review meeting. Accepted as a blocker per criterion "The installed system must be able to download and install updates with yum and the default graphical package manager in all release-blocking desktops".
Comment 8 Adam Williamson 2011-09-09 20:06:57 EDT
The update does indeed fix this.
Comment 9 Fedora Update System 2011-09-10 14:59:30 EDT
Package anjuta-3.1.91-1.fc16, at-spi2-atk-2.1.91-1.fc16, at-spi2-core-2.1.91-1.fc16, atk-2.1.91-1.fc16, caribou-0.3.91-1.fc16, cheese-3.1.91.1-1.fc16, clutter-1.7.14-2.fc16, control-center-3.1.91-1.fc16, empathy-3.1.91-2.fc16, eog-3.1.91-1.fc16, epiphany-3.1.91.1-1.fc16, evolution-3.1.91-2.fc16, file-roller-3.1.91-1.fc16, gedit-cossa-3.1.2-1.fc16, glib2-2.29.90-1.fc16, glibmm24-2.29.13-1.fc16, gnome-applets-3.1.91-1.fc16, gnome-backgrounds-3.1.91-1.fc16, gnome-documents-0.1.91-1.fc16, gnome-games-3.1.91-1.fc16, gnome-games-extra-data-3.2.0-1.fc16, gnome-keyring-3.1.91-1.fc16, gnome-screensaver-3.1.91-1.fc16, gnome-settings-daemon-3.1.91-1.fc16, gnome-shell-3.1.91-2.fc16, gnome-themes-standard-3.1.91-1.fc16, gtk3-3.1.18-1.fc16, gtkhtml3-4.1.91-1.fc16, gtkmm30-3.1.18-1.fc16, gvfs-1.9.5-1.fc16, krb5-auth-dialog-3.1.91-1.fc16, libcryptui-3.1.91-1.fc16, libxml++-2.34.2-1.fc16, mousetweaks-3.1.91-1.fc16, nautilus-sendto-3.0.0-13.fc16, notification-daemon-0.7.2-1.fc16, orca-3.1.91-1.fc16, seahorse-3.1.91-1.fc16, vala-0.13.4-1.fc16, vinagre-3.1.91-1.fc16, vino-3.1.91-1.fc16, yelp-3.1.3-1.fc16, yelp-tools-3.1.6-1.fc16, yelp-xsl-3.1.5-1.fc16, evolution-mapi-3.1.91-1.fc16, evolution-exchange-3.1.91-1.fc16, gnome-contacts-0.1.4.1-1.fc16, gsettings-desktop-schemas-3.1.91-1.fc16, PackageKit-0.6.18-2.fc16, evolution-data-server-3.1.91-2.fc16, folks-0.6.2.1-1.fc16, gnome-desktop3-3.1.91-2.fc16, gnome-panel-3.1.91-3.fc16, gnome-session-3.1.91-3.fc16, ekiga-3.3.2-3.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing anjuta-3.1.91-1.fc16 at-spi2-atk-2.1.91-1.fc16 at-spi2-core-2.1.91-1.fc16 atk-2.1.91-1.fc16 caribou-0.3.91-1.fc16 cheese-3.1.91.1-1.fc16 clutter-1.7.14-2.fc16 control-center-3.1.91-1.fc16 empathy-3.1.91-2.fc16 eog-3.1.91-1.fc16 epiphany-3.1.91.1-1.fc16 evolution-3.1.91-2.fc16 file-roller-3.1.91-1.fc16 gedit-cossa-3.1.2-1.fc16 glib2-2.29.90-1.fc16 glibmm24-2.29.13-1.fc16 gnome-applets-3.1.91-1.fc16 gnome-backgrounds-3.1.91-1.fc16 gnome-documents-0.1.91-1.fc16 gnome-games-3.1.91-1.fc16 gnome-games-extra-data-3.2.0-1.fc16 gnome-keyring-3.1.91-1.fc16 gnome-screensaver-3.1.91-1.fc16 gnome-settings-daemon-3.1.91-1.fc16 gnome-shell-3.1.91-2.fc16 gnome-themes-standard-3.1.91-1.fc16 gtk3-3.1.18-1.fc16 gtkhtml3-4.1.91-1.fc16 gtkmm30-3.1.18-1.fc16 gvfs-1.9.5-1.fc16 krb5-auth-dialog-3.1.91-1.fc16 libcryptui-3.1.91-1.fc16 libxml++-2.34.2-1.fc16 mousetweaks-3.1.91-1.fc16 nautilus-sendto-3.0.0-13.fc16 notification-daemon-0.7.2-1.fc16 orca-3.1.91-1.fc16 seahorse-3.1.91-1.fc16 vala-0.13.4-1.fc16 vinagre-3.1.91-1.fc16 vino-3.1.91-1.fc16 yelp-3.1.3-1.fc16 yelp-tools-3.1.6-1.fc16 yelp-xsl-3.1.5-1.fc16 evolution-mapi-3.1.91-1.fc16 evolution-exchange-3.1.91-1.fc16 gnome-contacts-0.1.4.1-1.fc16 gsettings-desktop-schemas-3.1.91-1.fc16 PackageKit-0.6.18-2.fc16 evolution-data-server-3.1.91-2.fc16 folks-0.6.2.1-1.fc16 gnome-desktop3-3.1.91-2.fc16 gnome-panel-3.1.91-3.fc16 gnome-session-3.1.91-3.fc16 ekiga-3.3.2-3.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/ekiga-3.3.2-3.fc16,PackageKit-0.6.18-2.fc16,gnome-contacts-0.1.4.1-1.fc16,gsettings-desktop-schemas-3.1.91-1.fc16,anjuta-3.1.91-1.fc16,at-spi2-atk-2.1.91-1.fc16,at-spi2-core-2.1.91-1.fc16,atk-2.1.91-1.fc16,caribou-0.3.91-1.fc16,cheese-3.1.91.1-1.fc16,clutter-1.7.14-2.fc16,control-center-3.1.91-1.fc16,empathy-3.1.91-2.fc16,eog-3.1.91-1.fc16,epiphany-3.1.91.1-1.fc16,evolution-3.1.91-2.fc16,evolution-data-server-3.1.91-2.fc16,file-roller-3.1.91-1.fc16,folks-0.6.2.1-1.fc16,gedit-cossa-3.1.2-1.fc16,glib2-2.29.90-1.fc16,glibmm24-2.29.13-1.fc16,gnome-applets-3.1.91-1.fc16,gnome-backgrounds-3.1.91-1.fc16,gnome-desktop3-3.1.91-2.fc16,gnome-documents-0.1.91-1.fc16,gnome-games-3.1.91-1.fc16,gnome-games-extra-data-3.2.0-1.fc16,gnome-keyring-3.1.91-1.fc16,gnome-panel-3.1.91-3.fc16,gnome-screensaver-3.1.91-1.fc16,gnome-session-3.1.91-3.fc16,gnome-settings-daemon-3.1.91-1.fc16,gnome-shell-3.1.91-2.fc16,gnome-themes-standard-3.1.91-1.fc16,gtk3-3.1.18-1.fc16,gtkhtml3-4.1.91-1.fc16,gtkmm30-3.1.18-1.fc16,gvfs-1.9.5-1.fc16,krb5-auth-dialog-3.1.91-1.fc16,libcryptui-3.1.91-1.fc16,libxml++-2.34.2-1.fc16,mousetweaks-3.1.91-1.fc16,nautilus-sendto-3.0.0-13.fc16,notification-daemon-0.7.2-1.fc16,orca-3.1.91-1.fc16,seahorse-3.1.91-1.fc16,vala-0.13.4-1.fc16,vinagre-3.1.91-1.fc16,vino-3.1.91-1.fc16,yelp-3.1.3-1.fc16,yelp-tools-3.1.6-1.fc16,yelp-xsl-3.1.5-1.fc16,evolution-mapi-3.1.91-1.fc16,evolution-exchange-3.1.91-1.fc16
then log in and leave karma (feedback).
Comment 10 Adam Williamson 2011-09-12 20:18:26 EDT
back to verified...
Comment 11 Fedora Update System 2011-09-13 02:12:56 EDT
anjuta-3.1.91-1.fc16, at-spi2-atk-2.1.91-1.fc16, at-spi2-core-2.1.91-1.fc16, atk-2.1.91-1.fc16, caribou-0.3.91-1.fc16, cheese-3.1.91.1-1.fc16, clutter-1.7.14-2.fc16, control-center-3.1.91-1.fc16, empathy-3.1.91-2.fc16, eog-3.1.91-1.fc16, epiphany-3.1.91.1-1.fc16, evolution-3.1.91-2.fc16, file-roller-3.1.91-1.fc16, gedit-cossa-3.1.2-1.fc16, glib2-2.29.90-1.fc16, glibmm24-2.29.13-1.fc16, gnome-applets-3.1.91-1.fc16, gnome-backgrounds-3.1.91-1.fc16, gnome-documents-0.1.91-1.fc16, gnome-games-3.1.91-1.fc16, gnome-games-extra-data-3.2.0-1.fc16, gnome-keyring-3.1.91-1.fc16, gnome-screensaver-3.1.91-1.fc16, gnome-settings-daemon-3.1.91-1.fc16, gnome-shell-3.1.91-2.fc16, gnome-themes-standard-3.1.91-1.fc16, gtk3-3.1.18-1.fc16, gtkhtml3-4.1.91-1.fc16, gtkmm30-3.1.18-1.fc16, gvfs-1.9.5-1.fc16, krb5-auth-dialog-3.1.91-1.fc16, libcryptui-3.1.91-1.fc16, libxml++-2.34.2-1.fc16, mousetweaks-3.1.91-1.fc16, nautilus-sendto-3.0.0-13.fc16, notification-daemon-0.7.2-1.fc16, orca-3.1.91-1.fc16, seahorse-3.1.91-1.fc16, vala-0.13.4-1.fc16, vinagre-3.1.91-1.fc16, vino-3.1.91-1.fc16, yelp-3.1.3-1.fc16, yelp-tools-3.1.6-1.fc16, yelp-xsl-3.1.5-1.fc16, evolution-mapi-3.1.91-1.fc16, evolution-exchange-3.1.91-1.fc16, gnome-contacts-0.1.4.1-1.fc16, gsettings-desktop-schemas-3.1.91-1.fc16, PackageKit-0.6.18-2.fc16, evolution-data-server-3.1.91-2.fc16, folks-0.6.2.1-1.fc16, gnome-panel-3.1.91-3.fc16, gnome-session-3.1.91-3.fc16, ekiga-3.3.2-3.fc16, gnome-desktop3-3.1.91-3.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.